Name:		vino
Version:	3.2.2
Release:	%mkrel 1
Summary:	GNOME VNC server
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vino/3.1/%{name}-%{version}.tar.xz
Patch0:		vino-3.1.4-desktop.patch
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.17.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.17.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtk+-x11-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.4
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.24.0
BuildRequires:	pkgconfig(NetworkManager) >= 0.7
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	libgcrypt-devel >= 1.1.90
BuildRequires:	%{_lib}gnutls-devel
BuildRequires:	zlib-devel
BuildRequires:	gnome-common
BuildRequires:	intltool

%description
This package contains an integrated GNOME VNC server.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--disable-http-server \
	--without-network-manager \
	--with-avahi \
	--with-telepathy \
	--with-gnome-keyring \
	--with-libnotify
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_bindir}/vino-passwd
%{_bindir}/vino-preferences
%{_libexecdir}/vino-server
%{_datadir}/vino
%{_datadir}/applications/vino-preferences.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/org.gnome.Vino.convert


%changelog
* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

* Mon Oct 03 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 3.1.90-1pclos2011
- 3.1.90

